%%%
%%% Esempio grafica 3D con operazioni matriciali
%%%

% plot 3D di dati matriciali

[X,Y] = meshgrid([-2:0.1:2]);

Z = X.*exp(-X.^2 - Y.^2);

figure, plot3(X,Y,Z), grid on, title('grafico 3D con plot3');

figure, mesh(Z), grid on, title('grafico 3D con mesh');

figure, surf(Z), grid on, title('grafico 3D con surf');