%%%
%%% Esempio grafica 3D con operazioni matriciali
%%%

% plot 3D di dati matriciali

%[X,Y] = meshgrid([-2:0.1:2]);

x = [-2:0.1:2];
y = [-2:0.1:2];

Nx = length(x);
Ny = length(y);

% Z = X.*exp(-X.^2 - Y.^2);

Z = zeros(Nx,Ny);
X = zeros(Nx,Nx);
Y = zeros(Ny,Ny);

for i = 1:Nx,
    X(i,:) = x;
    for j = 1:Ny,
        Y(:,j) = y';
        Z(i,j) = x(i) * exp(-x(i)^2 - y(j)^2);
    end;
end;

figure, plot3(X,Y,Z), grid on, title('Grafico 3D con plot3');

figure, mesh(x,y,Z), grid on, title('Grafico 3D con mesh');

figure, surf(x,y,Z), grid on, title('Grafico 3D con surf');

figure, meshc(x,y,Z), grid on, title('Grafico 3D con mesh e linee di livello');

figure, surfc(x,y,Z), grid on, title('grafico 3D con surf e linee di livello');

return